Rotate an API key
POST
/v1/keys/{key_id}/rotate
import requests
resp = requests.post( "https://api.ultimateteam.ai/v1/keys/{key_id}/rotate", headers={"X-API-Key": "utk_live_YOUR_KEY"},)print(resp.json())const resp = await fetch("https://api.ultimateteam.ai/v1/keys/{key_id}/rotate", { method: "POST", headers: {"X-API-Key": "utk_live_YOUR_KEY"},});const data = await resp.json();console.log(data);curl -X POST https://api.ultimateteam.ai/v1/keys/{key_id}/rotate \ -H "X-API-Key: utk_live_YOUR_KEY"Issue a replacement key and mark the old key for deletion after a 24h grace period. The new raw key is returned exactly once in this response.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”key_id
required
Key Id
string format: uuid
Header Parameters
Section titled “Header Parameters”Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Response Rotate Key V1 Keys Key Id Rotate Post
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}